---
title: "List entity filing calendar"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/filing-calendar`

## Path parameters

- `entityId` (`entity-filing-calendar-list.path.entityId`; string, required)
  - format `uuid`

## Query parameters

- `publicOnly` (`entity-filing-calendar-list.query.publicOnly`; boolean, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/filing-calendar'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/filing-calendar';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/filing-calendar"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "title": "string",
    "filingType": "string",
    "schemaType": "string",
    "cadence": "string",
    "periodLabel": "string",
    "plannedReleaseDate": "string",
    "status": "planned",
    "isPublic": true,
    "notes": "string",
    "publishedAt": "string",
    "publishedFilingId": "fbe1fcf0-1ecc-47f5-98f3-dc1298c95df3",
    "createdBy": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
]
```

- `id` (`entity-filing-calendar-list.response.200.id`; string, required)
  - format `uuid`
- `entityId` (`entity-filing-calendar-list.response.200.entityId`; string, required)
  - format `uuid`
- `title` (`entity-filing-calendar-list.response.200.title`; string, required)
- `filingType` (`entity-filing-calendar-list.response.200.filingType`; string, required)
- `schemaType` (`entity-filing-calendar-list.response.200.schemaType`; string, required, nullable)
- `cadence` (`entity-filing-calendar-list.response.200.cadence`; string, required)
- `periodLabel` (`entity-filing-calendar-list.response.200.periodLabel`; string, required, nullable)
- `plannedReleaseDate` (`entity-filing-calendar-list.response.200.plannedReleaseDate`; string, required)
  - pattern `^\d{4}-\d{2}-\d{2}$`
- `status` (`entity-filing-calendar-list.response.200.status`; string, required)
  - one of `"planned"`, `"published"`, `"delayed"`, `"cancelled"`
- `isPublic` (`entity-filing-calendar-list.response.200.isPublic`; boolean, required)
- `notes` (`entity-filing-calendar-list.response.200.notes`; string, required, nullable)
- `publishedAt` (`entity-filing-calendar-list.response.200.publishedAt`; string, required, nullable)
- `publishedFilingId` (`entity-filing-calendar-list.response.200.publishedFilingId`; string, required, nullable)
  - format `uuid`
- `createdBy` (`entity-filing-calendar-list.response.200.createdBy`; string, required)
- `createdAt` (`entity-filing-calendar-list.response.200.createdAt`; string, required)
- `updatedAt` (`entity-filing-calendar-list.response.200.updatedAt`; string, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-list.response.400.error`; object, required)
  - `code` (`entity-filing-calendar-list.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-list.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-list.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-list.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-list.response.401.error`; object, required)
  - `code` (`entity-filing-calendar-list.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-list.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-list.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-list.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-list.response.403.error`; object, required)
  - `code` (`entity-filing-calendar-list.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-list.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-list.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-list.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-list.response.404.error`; object, required)
  - `code` (`entity-filing-calendar-list.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-list.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-list.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-list.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-list.response.409.error`; object, required)
  - `code` (`entity-filing-calendar-list.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-list.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-list.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-list.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-list.response.500.error`; object, required)
  - `code` (`entity-filing-calendar-list.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-list.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-list.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-list.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-filing-calendar-list.response.503.error`; object, required)
  - `code` (`entity-filing-calendar-list.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-filing-calendar-list.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-filing-calendar-list.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-filing-calendar-list.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-filing-calendar-list/index.md
